Autodesk Raster Design Object Enabler

Using the Autodesk Raster Design Object Enabler

The Autodesk Raster Design Object Enabler allows you to access specialized Autodesk Raster Design 2007 image data in AutoCAD 2007–based applications without having Autodesk Raster Design installed on your machine.

Autodesk Raster Design image data can be enabled in the following Autodesk products:

  • AutoCAD® 2007
  • Autodesk® Civil 3D® 2007
  • Autodesk® Land Desktop 2007
  • Autodesk® Civil 3D 2007 – Land Desktop Companion
  • Autodesk Map 3D® 2007
  • Autodesk® Architectural Desktop 2007
  • Autodesk® Building Systems 2007
  • AutoCAD® Mechanical 2007
  • Autodesk® Mechanical Desktop® 2007
  • AutoCAD® Electrical 2007

For earlier versions of these products, please refer to http://www.autodesk.com/aecobjenabler for the correct version to download.

Topics in this section

  • Using the Autodesk Raster Design Object Enabler

    • Explains what you can do with the Autodesk Raster Design Object Enabler in other Autodesk applications.

  • Working with Custom Image Formats

    • Explains what you can do with particular image types when you have the Autodesk Raster Design Object Enabler installed.

  • Accessing and Installing the Autodesk Raster Design Object Enabler

    • Describes where to get and how to install the Autodesk Raster Design Object Enabler.

  • Frequently Asked Questions

    • Answers questions about Object Enabler installation and usage.

Comments?


Using the Autodesk Civil 3D Object Enabler

Working with Custom Image Formats
Using the Autodesk Raster Design Object Enabler

The Autodesk Raster Design Object Enabler is a freeware application that you can use to access Autodesk Raster Design custom image objects from other Autodesk applications based on AutoCAD 2007.

For example, if half of your AutoCAD seats are AutoCAD 2007, and the other half are Autodesk Raster Design, users of plain AutoCAD 2007 can install the Autodesk Raster Design Object Enabler. Then when they open drawings that were created in Autodesk Raster Design, they will be able to view, plot, and do basic image management tasks with the images.

Without the Raster Design Object Enabler installed, standard AutoCAD image types created in Raster Design (TIFF, JFIF-JPEG, GIF, etc.) can be readily used in drawings by other AutoCAD 2007–based applications. The Object Enabler is required to display Raster Design custom images, as listed in the topic Working with Custom Image Formats. Without the Raster Design Object Enabler installed, another application displays only the frames of these custom images, and then only if proxy graphics are enabled.

Installing the Autodesk Raster Design Object Enabler on any AutoCAD 2007 product provides support of the AutoCAD Erase, Move, Copy, Scale, Rotate, and Draw Order commands on custom images, as well as grip editing.


Working with Custom Image Formats

Using the Autodesk Raster Design Object Enabler
Accessing and Installing the Autodesk Raster Design Object Enabler
Working with Custom Image Formats

The Autodesk Raster Design 2007 Object Enabler improves your ability to work with the custom image data types shown in the following table.

Each image type can be viewed if it is in a DWG, but it cannot be edited or saved. Some image types can be inserted into a DWG, as indicated.

Image Format | Image Insertable into DWG
SID | Yes
ECW | Yes
JPEG2000 | Yes
DOQ | Yes
ESRI GRID A | No
ESRI GRID B | No
DEM | No
DTED | No


Accessing and Installing the Autodesk Civil 3D Object Enabler

Working with Custom Image Formats
Frequently Asked Questions
Accessing and Installing the Autodesk Raster Design Object Enabler

The Autodesk Raster Design Object Enabler is available on your Autodesk Raster Design product media as well as from the Autodesk website.

See the instructions below for installing the Autodesk Raster Design Object Enabler from the product media. In addition, you can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

Installing the Autodesk Raster Design Object Enabler

  1. Insert the Autodesk Raster Design CD into your computer’s CD-ROM drive.
  2. In the Autodesk Raster Design CD Browser, click the Install tab.
  3. On the Install tab, click the Additional Tools link.
  4. On the Additional Tools page, click Raster Design 2007 Object Enabler and follow the on-screen instructions.
  5. If prompted, restart your computer.


Frequently Asked Questions

Accessing and Installing the Autodesk Raster Design Object Enabler
Autodesk Raster Design Object Enabler
Frequently Asked Questions

NoteYou can find the latest information about the Object Enabler at http://www.autodesk.com/aecobjenabler.

What is the Autodesk Raster Design Object Enabler?

The Autodesk Raster Design Object Enabler is a utility that gives customers of AutoCAD 2007–based products the ability to view, plot, and do basic image management tasks with custom images created in Autodesk Raster Design.

Can the Autodesk Raster Design Object Enabler be installed on a version of AutoCAD prior to 2007?

No. The Autodesk Raster Design Object Enabler can only be installed on AutoCAD 2007–based products.

Do I have to install the Autodesk Raster Design Object Enabler in order to view Autodesk Raster Design drawings in AutoCAD-based applications?

No. The AutoCAD proxy graphic mechanism (starting with AutoCAD R13) allows viewing of most image types created by Autodesk Raster Design (GeoTIFF, JFIF-JPEG, ECW, etc.) in AutoCAD 2007–based products that can read drawing files. The Object Enabler is required for viewing, plotting, and working with some custom Raster Design image types. Without the Object Enabler, the proxy mechanism displays only the frames of these custom images. See the topic Working with Custom Image Formats for details on particular operations enabled by the use of Autodesk Raster Design Object Enabler.

How is the Autodesk Raster Design Object Enabler different from proxy graphics?

The Autodesk Raster Design Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line. To use this feature, you must enable proxy graphics before you save your drawings. The Autodesk Raster Design Object Enabler provides increased compatibility for custom Raster Design image types in other AutoCAD 2007–based applications.

How do I use the Autodesk Raster Design Object Enabler?

Once installed, the Autodesk Raster Design Object Enabler works automatically with your existing AutoCAD configuration. If you open a drawing file containing Autodesk Raster Design custom images, you can view, plot, and do basic image management tasks with them directly using AutoCAD commands. There are no menus, toolbars, or command-line features. The power of the Autodesk Raster Design Object Enabler is the ability to use existing and familiar AutoCAD commands on Autodesk Raster Design objects without the need to learn new functionality.

How do I install the Autodesk Raster Design Object Enabler?

The Autodesk Raster Design Object Enabler is available on your product media. In addition, you can download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

How do I distribute the Autodesk Raster Design Object Enabler install?

The Autodesk Raster Design Object Enabler is a freeware application that you can distribute to anyone who wants to view your drawings. However, the Autodesk Raster Design Object Enabler alone cannot display your drawings. You must have an installed copy of AutoCAD 2007 or an AutoCAD 2007–based product.

How do I verify that the Autodesk Raster Design Object Enabler is installed properly?

When you install the Autodesk Raster Design Object Enabler, it is added to the Add/Remove Programs list in the Windows Control Panel.

Are there any AutoCAD variables that affect the Autodesk Raster Design Object Enabler?

When you are using the Autodesk Raster Design Object Enabler, it is recommended that you use the Object Detect And Command Invoke option in AutoCAD Options.

To select the Object Detect And Command Invoke option

  1. Enter OPTIONS at the AutoCAD command line to display the AutoCAD Options dialog box.
  2. Click the Open And Save tab.
  3. Under ObjectARX Applications and Demand Load ObjectARX Apps, select Object Detect And Command Invoke.

This option checks for any custom objects that exist in a drawing and loads the parent ARX/DBX application.

NoteWhen you want to use the Autodesk Raster Design Object Enabler to view custom objects, do not set the Demand Load ObjectARX Apps option to Command Invoke or Disable Load On Demand.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!